Bug 70964 - NFS hangs with glibc-2.1.3-24
NFS hangs with glibc-2.1.3-24
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-07 07:32 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 05:57:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-07 07:32:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
NFS (at least client) hangs with glibc-2.1.3-24 on slow serial line (SDSL).
With glibc-2.1.3-23 everything works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure nfs client to nfs server on slow serial line (actually SDSL at 
speed 1680 kbit/s)
2. Install glibc-2.1.3-24.i386.rpm from ftp://updates.redhat.com//6.2/en/os/i386
3. mount nfs directory and try to copy file with size more than 3Mb
	

Actual Results:  I've got lots of errors such as:
"nfs server not responding",
"nfs: can't get a request slot".
Perfomance nfs operations become dramatically low (In my case about 6-10 
Kilobyte per second)

Expected Results:  With glibc-2.1.3-23 it works at speed 1700 kbyte per second
without error "nfs: can't get a request slot".

Additional info:

NFS server and client uses Redhat Linux 6.2 with all updates.
Comment 1 Ulrich Drepper 2003-04-22 02:36:18 EDT
What is the status of this when using RHL9?
Comment 2 Ulrich Drepper 2003-10-03 05:57:14 EDT
No reply in almost 6 months.  Closing as WORKSFORME.

Note You need to log in before you can comment on or make changes to this bug.